package cz.muni.fi.pa165.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiHandler;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.ui.Widget;
import org.gwtbootstrap3.client.ui.Button;
import org.gwtbootstrap3.client.ui.Container;

/**
 * Main page with list of books we can add or remove.
 *
 * @author Pavel Zlámal
 */
public class Page {

	private Container rootElement;

	@UiField
	Button addButton;

	interface PageUiBinder extends UiBinder<Container, Page> {
	}

	private static PageUiBinder ourUiBinder = GWT.create(PageUiBinder.class);

	public Page() {

		// bind UI
		rootElement = ourUiBinder.createAndBindUi(this);
		addButton.setText(Translations.INSTANCE.addBookButton());

	}

	@UiHandler("addButton")
	public void add(ClickEvent event) {
		Window.alert("Clicked");
	}

	public Widget getPageContent() {
		return rootElement;
	}

}