package cz.muni.fi.pa165.model;

import java.util.List;

/**
 * Interface for book repository.
 */
public interface BookService {


    void createBook(Book book);

    Book getBookById(int id);

    List<Book> getAllBooks();

    void updateBook(Book book);

    void deleteBook(Book book);

    List<Book> findBookNamesBySubstring(String substr);

}
